[![Build Status](https://travis-ci.org/datalad-handbook/book.svg?branch=master)](https://travis-ci.org/datalad-handbook/book) [![Documentation Status](https://readthedocs.org/projects/datalad-handbook/badge/?version=latest)](http://handbook.datalad.org/en/latest/?badge=latest)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.3608611.svg)](https://doi.org/10.5281/zenodo.3608611)
[![made-with-datalad](https://www.datalad.org/badges/made_with.svg)](https://datalad.org)
<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-53-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END --> 

# The DataLad handbook :orange_book:

This is a living resource on why and - more importantly - *how* to use [DataLad](http://www.datalad.org).
The rendered version is [here](http://handbook.datalad.org): http://handbook.datalad.org, and is currently
under initial development.

The handbook is a practical, hands-on crashcourse to learn and experience DataLad.
You do not need to be a programmer, computer scientist, or Linux-crank. If you have never touched your computer's shell before, you will be fine. Regardless of your background and personal use cases for DataLad, the handbook will show you the principles of DataLad, and from chapter 1 onwards you will be using them.

Find more general information about the idea behind the handbook in the [poster presented at the 2020 OHBM](artwork/OHBM_2020.pdf) or [dive straight into your DataLad adventure](https://handbook.datalad.org).

## Contributing

Contributions in any form - pull requests, issues, content requests/ideas, ... are always welcome.
If you are using the handbook and find that something does not work,
please [let us know](https://github.com/datalad-handbook/book/issues/new).
Likewise, if you are using DataLad for your individual project, consider contributing by telling us about your use-case.
You can find out more on how to contribute [here](http://handbook.datalad.org/en/latest/contributing.html),
and a list of all contributors so far below, in [CONTRIBUTORS.md](CONTRIBUTORS.md), and in [.zenodo.json](.zenodo.json).

## Notes for Instructors

The book is the basis for workshops and lectures on DataLad and data management.
The handbook's [``course repository``](https://github.com/datalad-handbook/course)
among other things contains live casts from the code examples in this book and
slides. It is constantly growing, and everyone is free to use the material under
the license terms below. Contributions and feedback are very welcome.

## License

CC-BY-SA: You are free to

- **share** - copy and redistribute the material in any medium or format
- **adapt** - remix, transform, and build upon the material for any purpose, even commercially

under the following terms:

1) **Attribution** — You must give appropriate credit, provide a link to the license, and indicate
 if changes were made. You may do so in any reasonable manner, but not in any way that suggests
 the licensor endorses you or your use.

2) **ShareAlike** — If you remix, transform, or build upon the material, you must distribute your
 contributions under the same license as the original.

<img src="https://raw.githubusercontent.com/datalad-handbook/book/master/artwork/logo.svg?sanitize=true" width="200" height="400">  

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://www.researchgate.net/profile/Adina_Wagner"><img src="https://avatars1.githubusercontent.com/u/29738718?v=4?s=100" width="100px;" alt="Adina S. Wagner"/><br /><sub><b>Adina S. Wagner</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/commits?author=adswa" title="Code">💻</a> <a href="#content-adswa" title="Content">🖋</a> <a href="https://github.com/datalad-handbook/book/commits?author=adswa" title="Documentation">📖</a> <a href="#design-adswa" title="Design">🎨</a> <a href="#ideas-adswa" title="Ideas, Planning, & Feedback">🤔</a> <a href="#infra-adswa" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#maintenance-adswa" title="Maintenance">🚧</a> <a href="#projectManagement-adswa" title="Project Management">📆</a> <a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Aadswa" title="Reviewed Pull Requests">👀</a> <a href="#userTesting-adswa" title="User Testing">📓</a> <a href="#talk-adswa" title="Talks">📢</a> <a href="https://github.com/datalad-handbook/book/commits?author=adswa" title="Tests">⚠️</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Aadswa" title="Bug reports">🐛</a> <a href="#example-adswa" title="Examples">💡</a> <a href="#question-adswa" title="Answering Questions">💬</a> <a href="#a11y-adswa" title="Accessibility">️️️️♿️</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/loj"><img src="https://avatars2.githubusercontent.com/u/15157717?v=4?s=100" width="100px;" alt="Laura Waite"/><br /><sub><b>Laura Waite</b></sub></a><br /><a href="#ideas-loj" title="Ideas, Planning, & Feedback">🤔</a> <a href="#maintenance-loj" title="Maintenance">🚧</a> <a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Aloj" title="Reviewed Pull Requests">👀</a> <a href="#talk-loj" title="Talks">📢</a> <a href="#question-loj" title="Answering Questions">💬</a> <a href="#content-loj" title="Content">🖋</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://psychoinformatics.de"><img src="https://avatars1.githubusercontent.com/u/136479?v=4?s=100" width="100px;" alt="Michael Hanke"/><br /><sub><b>Michael Hanke</b></sub></a><br /><a href="#question-mih" title="Answering Questions">💬</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Amih" title="Bug reports">🐛</a> <a href="https://github.com/datalad-handbook/book/commits?author=mih" title="Code">💻</a> <a href="#content-mih" title="Content">🖋</a> <a href="https://github.com/datalad-handbook/book/commits?author=mih" title="Documentation">📖</a> <a href="#design-mih" title="Design">🎨</a> <a href="#example-mih" title="Examples">💡</a> <a href="#ideas-mih" title="Ideas, Planning, & Feedback">🤔</a> <a href="#infra-mih" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#maintenance-mih" title="Maintenance">🚧</a> <a href="#plugin-mih" title="Plugin/utility libraries">🔌</a> <a href="#projectManagement-mih" title="Project Management">📆</a> <a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Amih" title="Reviewed Pull Requests">👀</a> <a href="#tool-mih" title="Tools">🔧</a> <a href="https://github.com/datalad-handbook/book/commits?author=mih" title="Tests">⚠️</a> <a href="#talk-mih" title="Talks">📢</a> <a href="#userTesting-mih" title="User Testing">📓</a> <a href="#a11y-mih" title="Accessibility">️️️️♿️</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/kyleam"><img src="https://avatars2.githubusercontent.com/u/1297788?v=4?s=100" width="100px;" alt="Kyle Meyer"/><br /><sub><b>Kyle Meyer</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Akyleam" title="Bug reports">🐛</a> <a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Akyleam" title="Reviewed Pull Requests">👀</a> <a href="#question-kyleam" title="Answering Questions">💬</a> <a href="#content-kyleam" title="Content">🖋</a> <a href="#ideas-kyleam" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/marisaheckner"><img src="https://avatars2.githubusercontent.com/u/52243533?v=4?s=100" width="100px;" alt="Marisa Heckner"/><br /><sub><b>Marisa Heckner</b></sub></a><br /><a href="#ideas-marisaheckner" title="Ideas, Planning, & Feedback">🤔</a> <a href="#userTesting-marisaheckner" title="User Testing">📓</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Amarisaheckner" title="Bug reports">🐛</a> <a href="#content-marisaheckner" title="Content">🖋</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/bpoldrack"><img src="https://avatars2.githubusercontent.com/u/10498301?v=4?s=100" width="100px;" alt="Benjamin Poldrack"/><br /><sub><b>Benjamin Poldrack</b></sub></a><br /><a href="#question-bpoldrack" title="Answering Questions">💬</a> <a href="#ideas-bpoldrack" title="Ideas, Planning, & Feedback">🤔</a> <a href="#example-bpoldrack" title="Examples">💡</a> <a href="#tutorial-bpoldrack" title="Tutorials">✅</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://www.onerussian.com"><img src="https://avatars3.githubusercontent.com/u/39889?v=4?s=100" width="100px;" alt="Yaroslav Halchenko"/><br /><sub><b>Yaroslav Halchenko</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Ayarikoptic" title="Reviewed Pull Requests">👀</a> <a href="#content-yarikoptic" title="Content">🖋</a> <a href="#ideas-yarikoptic" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Ayarikoptic" title="Bug reports">🐛</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/effigies"><img src="https://avatars0.githubusercontent.com/u/83442?v=4?s=100" width="100px;" alt="Chris Markiewicz"/><br /><sub><b>Chris Markiewicz</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Aeffigies" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://pat.chormai.org"><img src="https://avatars0.githubusercontent.com/u/1214890?v=4?s=100" width="100px;" alt="Pattarawat Chormai"/><br /><sub><b>Pattarawat Chormai</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Aheytitle" title="Bug reports">🐛</a> <a href="https://github.com/datalad-handbook/book/commits?author=heytitle" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/lisanmo"><img src="https://avatars0.githubusercontent.com/u/52251433?v=4?s=100" width="100px;" alt="Lisa N. Mochalski"/><br /><sub><b>Lisa N. Mochalski</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Alisanmo" title="Bug reports">🐛</a> <a href="#content-lisanmo" title="Content">🖋</a> <a href="#example-lisanmo" title="Examples">💡</a> <a href="#ideas-lisanmo" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/LisaWiersch96"><img src="https://avatars3.githubusercontent.com/u/57354773?v=4?s=100" width="100px;" alt="Lisa Wiersch"/><br /><sub><b>Lisa Wiersch</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3ALisaWiersch96" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/jbpoline"><img src="https://avatars0.githubusercontent.com/u/275048?v=4?s=100" width="100px;" alt="Jean-Baptiste Poline"/><br /><sub><b>Jean-Baptiste Poline</b></sub></a><br /><a href="#content-jbpoline" title="Content">🖋</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/NevenaK"><img src="https://avatars2.githubusercontent.com/u/57677812?v=4?s=100" width="100px;" alt="Nevena Kraljevic"/><br /><sub><b>Nevena Kraljevic</b></sub></a><br /><a href="#userTesting-NevenaK" title="User Testing">📓</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/aqw"><img src="https://avatars0.githubusercontent.com/u/765557?v=4?s=100" width="100px;" alt="Alex Waite"/><br /><sub><b>Alex Waite</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Aaqw" title="Reviewed Pull Requests">👀</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Aaqw" title="Bug reports">🐛</a> <a href="#ideas-aqw" title="Ideas, Planning, & Feedback">🤔</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/lilikapa"><img src="https://avatars3.githubusercontent.com/u/14184487?v=4?s=100" width="100px;" alt="Lya K. Paas"/><br /><sub><b>Lya K. Paas</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Alilikapa" title="Bug reports">🐛</a> <a href="https://github.com/datalad-handbook/book/commits?author=lilikapa" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/nhjjreuter"><img src="https://avatars1.githubusercontent.com/u/24777116?v=4?s=100" width="100px;" alt="Niels Reuter"/><br /><sub><b>Niels Reuter</b></sub></a><br /><a href="#content-nhjjreuter" title="Content">🖋</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/pvavra"><img src="https://avatars3.githubusercontent.com/u/5610129?v=4?s=100" width="100px;" alt="Peter Vavra"/><br /><sub><b>Peter Vavra</b></sub></a><br /><a href="#ideas-pvavra" title="Ideas, Planning, & Feedback">🤔</a> <a href="#userTesting-pvavra" title="User Testing">📓</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/TobiasKadelka"><img src="https://avatars1.githubusercontent.com/u/49553687?v=4?s=100" width="100px;" alt="Tobias Kadelka"/><br /><sub><b>Tobias Kadelka</b></sub></a><br /><a href="#userTesting-TobiasKadelka" title="User Testing">📓</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://peerherholz.github.io"><img src="https://avatars0.githubusercontent.com/u/20129524?v=4?s=100" width="100px;" alt="Peer Herholz"/><br /><sub><b>Peer Herholz</b></sub></a><br /><a href="#ideas-PeerHerholz" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/AlexandreHutton"><img src="https://avatars3.githubusercontent.com/u/50920802?v=4?s=100" width="100px;" alt="Alexandre Hutton"/><br /><sub><b>Alexandre Hutton</b></sub></a><br /><a href="#content-AlexandreHutton" title="Content">🖋</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3AAlexandreHutton" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/sarah1989"><img src="https://avatars3.githubusercontent.com/u/3898779?v=4?s=100" width="100px;" alt="Sarah Oliveira"/><br /><sub><b>Sarah Oliveira</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Asarah1989" title="Reviewed Pull Requests">👀</a> <a href="#ideas-sarah1989" title="Ideas, Planning, & Feedback">🤔</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/dorianps"><img src="https://avatars3.githubusercontent.com/u/9083517?v=4?s=100" width="100px;" alt="Dorian Pustina"/><br /><sub><b>Dorian Pustina</b></sub></a><br /><a href="#ideas-dorianps" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/hbaagil"><img src="https://avatars3.githubusercontent.com/u/61992500?v=4?s=100" width="100px;" alt="Hamzah Hamid Baagil"/><br /><sub><b>Hamzah Hamid Baagil</b></sub></a><br /><a href="#userTesting-hbaagil" title="User Testing">📓</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Ahbaagil" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/glatard"><img src="https://avatars0.githubusercontent.com/u/5174953?v=4?s=100" width="100px;" alt="Tristan Glatard"/><br /><sub><b>Tristan Glatard</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Aglatard" title="Bug reports">🐛</a> <a href="#content-glatard" title="Content">🖋</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/gi114"><img src="https://avatars0.githubusercontent.com/u/17640807?v=4?s=100" width="100px;" alt="Giulia Ippoliti"/><br /><sub><b>Giulia Ippoliti</b></sub></a><br /><a href="#content-gi114" title="Content">🖋</a> <a href="#example-gi114" title="Examples">💡</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/christian-monch"><img src="https://avatars3.githubusercontent.com/u/17925232?v=4?s=100" width="100px;" alt="Christian Mönch"/><br /><sub><b>Christian Mönch</b></sub></a><br /><a href="#content-christian-monch" title="Content">🖋</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ayrustogaru"><img src="https://avatars1.githubusercontent.com/u/35329371?v=4?s=100" width="100px;" alt="Togaru Surya Teja"/><br /><sub><b>Togaru Surya Teja</b></sub></a><br /><a href="#content-ayrustogaru" title="Content">🖋</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/DorienHuijser"><img src="https://avatars1.githubusercontent.com/u/58177697?v=4?s=100" width="100px;" alt="Dorien Huijser"/><br /><sub><b>Dorien Huijser</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3ADorienHuijser" title="Bug reports">🐛</a> <a href="#userTesting-DorienHuijser" title="User Testing">📓</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="http://arokem.org"><img src="https://avatars1.githubusercontent.com/u/118582?v=4?s=100" width="100px;" alt="Ariel Rokem"/><br /><sub><b>Ariel Rokem</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Aarokem" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://remi-gau.github.io/"><img src="https://avatars3.githubusercontent.com/u/6961185?v=4?s=100" width="100px;" alt="Remi Gau"/><br /><sub><b>Remi Gau</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3ARemi-Gau" title="Bug reports">🐛</a> <a href="#ideas-Remi-Gau" title="Ideas, Planning, & Feedback">🤔</a> <a href="#maintenance-Remi-Gau" title="Maintenance">🚧</a> <a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3ARemi-Gau" title="Reviewed Pull Requests">👀</a> <a href="#infra-Remi-Gau" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="https://github.com/datalad-handbook/book/commits?author=Remi-Gau" title="Code">💻</a> <a href="#design-Remi-Gau" title="Design">🎨</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/judithbomba"><img src="https://avatars1.githubusercontent.com/u/68907896?v=4?s=100" width="100px;" alt="Judith Bomba"/><br /><sub><b>Judith Bomba</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Ajudithbomba" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://khinsen.net/"><img src="https://avatars2.githubusercontent.com/u/94934?v=4?s=100" width="100px;" alt="Konrad Hinsen"/><br /><sub><b>Konrad Hinsen</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Akhinsen" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/jadecci"><img src="https://avatars2.githubusercontent.com/u/14807815?v=4?s=100" width="100px;" alt="Wu Jianxiao"/><br /><sub><b>Wu Jianxiao</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Ajadecci" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/m-wierzba"><img src="https://avatars1.githubusercontent.com/u/31971177?v=4?s=100" width="100px;" alt="Małgorzata Wierzba"/><br /><sub><b>Małgorzata Wierzba</b></sub></a><br /><a href="#userTesting-m-wierzba" title="User Testing">📓</a> <a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Am-wierzba" title="Reviewed Pull Requests">👀</a> <a href="#tutorial-m-wierzba" title="Tutorials">✅</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://www.stefanappelhoff.com"><img src="https://avatars1.githubusercontent.com/u/9084751?v=4?s=100" width="100px;" alt="Stefan Appelhoff"/><br /><sub><b>Stefan Appelhoff</b></sub></a><br /><a href="#infra-sappelhoff" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#tool-sappelhoff" title="Tools">🔧</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Asappelhoff" title="Bug reports">🐛</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/josephmje"><img src="https://avatars1.githubusercontent.com/u/22102194?v=4?s=100" width="100px;" alt="Michael Joseph"/><br /><sub><b>Michael Joseph</b></sub></a><br /><a href="#ideas-josephmje" title="Ideas, Planning, & Feedback">🤔</a> <a href="#content-josephmje" title="Content">🖋</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Ajosephmje" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/tamaracha"><img src="https://avatars.githubusercontent.com/u/10754072?v=4?s=100" width="100px;" alt="Tamara Cook"/><br /><sub><b>Tamara Cook</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Atamaracha" title="Reviewed Pull Requests">👀</a> <a href="#infra-tamaracha" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://jsheunis.github.io/"><img src="https://avatars.githubusercontent.com/u/10141237?v=4?s=100" width="100px;" alt="Stephan Heunis"/><br /><sub><b>Stephan Heunis</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Ajsheunis" title="Bug reports">🐛</a> <a href="#maintenance-jsheunis" title="Maintenance">🚧</a> <a href="#content-jsheunis" title="Content">🖋</a> <a href="#example-jsheunis" title="Examples">💡</a> <a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Ajsheunis" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://cni.lin-magdeburg.de"><img src="https://avatars.githubusercontent.com/u/9048375?v=4?s=100" width="100px;" alt="Joerg Stadler"/><br /><sub><b>Joerg Stadler</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Acni-md" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://orcid.org/0000-0003-4652-3758"><img src="https://avatars.githubusercontent.com/u/7570456?v=4?s=100" width="100px;" alt="Sin Kim"/><br /><sub><b>Sin Kim</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3AAKSoo" title="Bug reports">🐛</a> <a href="#content-AKSoo" title="Content">🖋</a> <a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3AAKSoo" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/oesteban"><img src="https://avatars.githubusercontent.com/u/598470?v=4?s=100" width="100px;" alt="Oscar Esteban"/><br /><sub><b>Oscar Esteban</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Aoesteban" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/mslw"><img src="https://avatars.githubusercontent.com/u/11985212?v=4?s=100" width="100px;" alt="Michał Szczepanik"/><br /><sub><b>Michał Szczepanik</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Amslw" title="Reviewed Pull Requests">👀</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Amslw" title="Bug reports">🐛</a> <a href="#content-mslw" title="Content">🖋</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/eort"><img src="https://avatars.githubusercontent.com/u/8819465?v=4?s=100" width="100px;" alt="eort"/><br /><sub><b>eort</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Aeort" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Myrskyta"><img src="https://avatars.githubusercontent.com/u/17908599?v=4?s=100" width="100px;" alt="Myrskyta"/><br /><sub><b>Myrskyta</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3AMyrskyta" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/tguiot"><img src="https://avatars.githubusercontent.com/u/17005998?v=4?s=100" width="100px;" alt="Thomas Guiot"/><br /><sub><b>Thomas Guiot</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Atguiot" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/jhpb7"><img src="https://avatars.githubusercontent.com/u/101269419?v=4?s=100" width="100px;" alt="jhpb7"/><br /><sub><b>jhpb7</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Ajhpb7" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://bandism.net/"><img src="https://avatars.githubusercontent.com/u/22633385?v=4?s=100" width="100px;" alt="Ikko Ashimine"/><br /><sub><b>Ikko Ashimine</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Aeltociear" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://cmn.nimh.nih.gov/dsst"><img src="https://avatars.githubusercontent.com/u/10297203?v=4?s=100" width="100px;" alt="Arshitha Basavaraj"/><br /><sub><b>Arshitha Basavaraj</b></sub></a><br /><a href="#content-Arshitha" title="Content">🖋</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ajveltri22"><img src="https://avatars.githubusercontent.com/u/16944711?v=4?s=100" width="100px;" alt="Anthony J Veltri"/><br /><sub><b>Anthony J Veltri</b></sub></a><br /><a href="#userTesting-ajveltri22" title="User Testing">📓</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://twitter.com/complexbrains"><img src="https://avatars.githubusercontent.com/u/45263281?v=4?s=100" width="100px;" alt="Isil Bilgin"/><br /><sub><b>Isil Bilgin</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Acomplexbrains" title="Bug reports">🐛</a> <a href="#maintenance-complexbrains" title="Maintenance">🚧</a></td>
      <td align="center" valign="top" width="14.28%"><a href="http://juliankosciessa.eu"><img src="https://avatars.githubusercontent.com/u/40263608?v=4?s=100" width="100px;" alt="Julian Kosciessa"/><br /><sub><b>Julian Kosciessa</b></sub></a><br /><a href="#content-jkosciessa" title="Content">🖋</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/candleindark"><img src="https://avatars.githubusercontent.com/u/12135617?v=4?s=100" width="100px;" alt="Isaac To"/><br /><sub><b>Isaac To</b></sub></a><br /><a href="#maintenance-candleindark" title="Maintenance">🚧</a> <a href="#content-candleindark" title="Content">🖋</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Acandleindark" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/asmacdo"><img src="https://avatars.githubusercontent.com/u/1028657?v=4?s=100" width="100px;" alt="Austin Macdonald"/><br /><sub><b>Austin Macdonald</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Aasmacdo" title="Bug reports">🐛</a></td>
    </tr>
  </tbody>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
